Move db1052 to row B3
Closed, ResolvedPublic

Description

Hi

Once T156004 is completed we need to move db1052 to B3 if possible.
I will update this ticket once it can be done

Marostegui changed the task status from Stalled to Open.Jan 23 2017, 3:44 PM
<cmjohnson1> marostegui and jynus plan for 1400UTC

Reminder:

  • we need to silence labsdb1009, 1010 and 1011 as they replicate from it.
  • we need to stop replication on them
  • once it is back, we need to repoint them to the new IP

we need to silence labsdb1009, 1010 and 1011 as they replicate from it.

But they replicate from db1094 :-/

we need to silence labsdb1009, 1010 and 1011 as they replicate from it.

But they replicate from db1094 :-/

Gah, sorry! Yes, I meant db1095 - good catch!

Change 333850 had a related patch set uploaded (by Marostegui):
site.pp: Disable RBR on db1052

https://gerrit.wikimedia.org/r/333850

Alerts silenced for 24 hours - I will re-enable them once the move is done.

Mentioned in SAL (#wikimedia-operations) [2017-01-24T13:37:36Z] <marostegui> Shutdown mysql on db1052 for maintenance - T156006

Mentioned in SAL (#wikimedia-operations) [2017-01-24T13:41:04Z] <marostegui> Shutdown db1052 for maintenance - T156006

Change 333908 had a related patch set uploaded (by Marostegui):
db-codfw,db-eqiad.php: Change db1052 IPs

https://gerrit.wikimedia.org/r/333908

Change 333908 merged by jenkins-bot:
db-codfw,db-eqiad.php: Change db1052 IPs

https://gerrit.wikimedia.org/r/333908

Mentioned in SAL (#wikimedia-operations) [2017-01-24T13:48:23Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Change db1052 IP - T156006 (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-01-24T13:49:17Z] <marostegui@tin> Synchronized wmf-config/db-codfw.php: Change db1052 IP - T156006 (duration: 00m 39s)

Marostegui closed this task as Resolved.Jan 24 2017, 2:10 PM
Marostegui assigned this task to Cmjohnson.

db1051 has been moved.
DNS updated
db-eqiad,codfw files updated
mysql and replication started finely.
tendril updated

thanks @Cmjohnson

Mentioned in SAL (#wikimedia-operations) [2017-01-24T14:55:38Z] <marostegui> Stop replication on db1052 and db1073 for maintenance - T156006

Change 333850 abandoned by Marostegui:
site.pp: Disable RBR on db1052 enable it on db1073

Reason:
let's split into two commits better

https://gerrit.wikimedia.org/r/333850

Change 333926 had a related patch set uploaded (by Marostegui):
site.pp: Enable RBR on db1072

https://gerrit.wikimedia.org/r/333926

Change 333927 had a related patch set uploaded (by Marostegui):
db-eqiad.php: Depool db1072

https://gerrit.wikimedia.org/r/333927

Change 333927 merged by jenkins-bot:
db-eqiad.php: Depool db1072

https://gerrit.wikimedia.org/r/333927

Mentioned in SAL (#wikimedia-operations) [2017-01-24T16:15:32Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1072 - T156006 (duration: 00m 47s)

Change 333926 merged by Marostegui:
site.pp: Enable RBR on db1072

https://gerrit.wikimedia.org/r/333926

Mentioned in SAL (#wikimedia-operations) [2017-01-24T16:22:03Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1072 - T156006 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-01-24T18:02:21Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1065 - T156006 (duration: 00m 49s)